Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class GraphicsNodeChangeEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.gvt.event.GraphicsNodeEvent
              org.apache.batik.gvt.event.GraphicsNodeChangeEvent

All Implemented Interfaces:
  Serializable

    public class GraphicsNodeChangeEvent

extends GraphicsNodeEvent

An event which indicates that a change action occurred on a graphics node.

See Also:
  Serialized Form

Field Summary
`static int` | `CHANGE_COMPLETED` The id for the "changeCompleted" event.
`static int` | `CHANGE_STARTED` The id for the "changeStarted" event.
`protected GraphicsNode` | `changeSource`

Fields inherited from class org.apache.batik.gvt.event.GraphicsNodeEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GraphicsNodeChangeEvent(GraphicsNode source, int id)` Constructs a new graphics node event with the specified source and ID.

Method Summary
`GraphicsNode` | `getChangeSrc()`
`void` | `setChangeSrc(GraphicsNode gn)`

Methods inherited from class org.apache.batik.gvt.event.GraphicsNodeEvent
`consume, getGraphicsNode, getID, isConsumed`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHANGE_STARTED

    public static final int CHANGE_STARTED

  The id for the "changeStarted" event. This change event occurs when a change has started on a graphics node (but no changes have occured on the graphics node it's self).

  See Also:
    Constant Field Values

### CHANGE_COMPLETED

    public static final int CHANGE_COMPLETED

  The id for the "changeCompleted" event. This change event occurs when a change has completed on a graphics node (all changes have completed on the graphics node it's self).

  See Also:
    Constant Field Values

### changeSource

    protected GraphicsNode changeSource

Constructor Detail

### GraphicsNodeChangeEvent

    public GraphicsNodeChangeEvent(GraphicsNode source,
                                   int id)

  Constructs a new graphics node event with the specified source and ID.

  Parameters:
    `source` - the graphics node where the event originated
    `id` - the id of this event

Method Detail

### setChangeSrc

    public void setChangeSrc(GraphicsNode gn)

### getChangeSrc

    public GraphicsNode getChangeSrc()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.